Page MenuHomePhabricator

Add schema creations to recent changes
Closed, ResolvedPublic5 Story Points

Description

When a new schema is created, it should end up on Special:RecentChanges.

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as Normal priority.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJan 15 2019, 12:42 AM
JTannerWMF moved this task from Inbox to External on the Growth-Team board.Jan 17 2019, 9:21 PM

It shows up there now but with edit summary "abc". It should follow the default edit summary for creating a new Item and say "Created a new Schema: $label".

To clarify: the message should be translatable, as in Wikibase. We might want to extract Wikibase’s code for this into a library. The $label part is not translated or updated, it reflects the state of the schema as of this revision.

We’ll investigate how to implement this and then estimate it once we know what we want to do.

Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jan 30 2019, 1:33 PM
Lucas_Werkmeister_WMDE set the point value for this task to 13.Feb 6 2019, 10:05 AM

Change 490076 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseSchema@master] Add translatable messages for Schema changes

https://gerrit.wikimedia.org/r/490076

Change 490076 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add translatable messages for Schema changes

https://gerrit.wikimedia.org/r/490076

Lucas_Werkmeister_WMDE changed the point value for this task from 13 to 5.Feb 25 2019, 2:11 PM
Lucas_Werkmeister_WMDE moved this task from Doing to Done on the Shape Expressions Sprint 2 board.

Recent changes / summary part itself is more or less done, pending changes to Core for the multilingual bits.

Lydia_Pintscher closed this task as Resolved.Feb 28 2019, 9:02 AM